import { calcFactors, getBarFunc } from '../core';
export function calcData(data, options) {
    const { W, H, footer, calcX } = calcFactors(options, data.length);
    const calcBars = getBarFunc(options, W, H);
    return data.map((item, i) => {
        const x = calcX(i);
        const bars = calcBars(item.values, x);
        const mask = new Path2D();
        mask.rect(x, 0, W, footer);
        return { data: item, bars, mask };
    });
}
